## org.gnu.gtk
Class TextAppearance

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.TextAppearance

public class TextAppearance
extends Boxed

Read only text appearance properties, as returned by methods relating to the text view widgets.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`protected` `TextAppearance(Handle handle)`

Method Summary
`Color` `getBgColor()`
`protected static Handle` `getBgColor(Handle cptr)`
`Bitmap` `getBgStipple()`
`protected static Handle` `getBgStipple(Handle cptr)`
`boolean` `getDrawBg()`
`protected static boolean` `getDrawBg(Handle cptr)`
`Color` `getFgColor()`
`protected static Handle` `getFgColor(Handle cptr)`
`Bitmap` `getFgStipple()`
`protected static Handle` `getFgStipple(Handle cptr)`
`protected static boolean` `getInsideSelection(Handle cptr)`
`protected static boolean` `getIsText(Handle cptr)`
`int` `getRise()` returns super/subscript rise, can be negative
`protected static int` `getRise(Handle cptr)`
`boolean` `getStrikethrough()`
`protected static boolean` `getStrikethrough(Handle cptr)`
`Underline` `getUnderline()`
`protected static int` `getUnderline(Handle cptr)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextAppearance

    protected TextAppearance(Handle handle)

Method Detail

### getBgColor

    public Color getBgColor()

### getFgColor

    public Color getFgColor()

### getBgStipple

    public Bitmap getBgStipple()

### getFgStipple

    public Bitmap getFgStipple()

### getRise

    public int getRise()

  returns super/subscript rise, can be negative

### getUnderline

    public Underline getUnderline()

### getStrikethrough

    public boolean getStrikethrough()

### getDrawBg

    public boolean getDrawBg()

### getBgColor

    protected static final Handle getBgColor(Handle cptr)

### getFgColor

    protected static final Handle getFgColor(Handle cptr)

### getBgStipple

    protected static final Handle getBgStipple(Handle cptr)

### getFgStipple

    protected static final Handle getFgStipple(Handle cptr)

### getRise

    protected static final int getRise(Handle cptr)

### getUnderline

    protected static final int getUnderline(Handle cptr)

### getStrikethrough

    protected static final boolean getStrikethrough(Handle cptr)

### getDrawBg

    protected static final boolean getDrawBg(Handle cptr)

### getInsideSelection

    protected static final boolean getInsideSelection(Handle cptr)

### getIsText

    protected static final boolean getIsText(Handle cptr)